gstreamermm: Gst::IndexFactory Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::IndexFactory Class Reference

A class that creates Gst::Index objects from a factory. More...

Inheritance diagram for Gst::IndexFactory:
[legend]
Collaboration diagram for Gst::IndexFactory:
[legend]

List of all members.

## Public Member Functions
virtual | ~IndexFactory ()
GstIndexFactory* | gobj ()
| Provides access to the underlying C GObject.
const GstIndexFactory* | gobj () const
| Provides access to the underlying C GObject.
GstIndexFactory* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Gst::Index > | create_index ()
| Create a new Gst::Index instance from the given indexfactory.
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< IndexFactory > | create (const Glib::ustring& name, const Glib::ustring& longdesc, GType type)
| Create a new index factory with the given parameters.
static Glib::RefPtr < Gst::IndexFactory > | find (const Glib::ustring& name)
| Search for an indexfactory of the given name.
static Glib::RefPtr< Gst::Index > | create_index (const Glib::ustring& factory_name)
| Create a new Gst::Index instance from the indexfactory with the given name.
## Protected Member Functions
| IndexFactory (const Glib::ustring& name, const Glib::ustring& longdesc, GType type)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::IndexFactory > | wrap (GstIndexFactory* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A class that creates Gst::Index objects from a factory.

Gst::IndexFactory is used to dynamically create Gst::Index implementations.

## Constructor & Destructor Documentation

virtual Gst::IndexFactory::~IndexFactory | ( |  | ) | `[virtual]`

Gst::IndexFactory::IndexFactory | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | longdesc,
|  | GType | type
| ) |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<IndexFactory> Gst::IndexFactory::create | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | longdesc,
|  | GType | type
| ) |  | `[static]`

Create a new index factory with the given parameters.

Parameters:

  name | Name of the index factory to create.
  longdesc | Long description of the index factory to create.
  type | The GType of the Gst::Index element of this factory.

Returns:
  A new Gst::IndexFactory.

Glib::RefPtr<Gst::Index> Gst::IndexFactory::create_index | ( |  | ) |

Create a new Gst::Index instance from the given indexfactory.

Returns:
  A new Gst::Index instance.

static Glib::RefPtr<Gst::Index> Gst::IndexFactory::create_index | ( | const Glib::ustring & | factory_name | ) | `[static]`

Create a new Gst::Index instance from the indexfactory with the given name.

Parameters:

  name | The name of the factory used to create the instance.

Returns:
  A new Gst::Index instance.

static Glib::RefPtr<Gst::IndexFactory> Gst::IndexFactory::find | ( | const Glib::ustring & | name | ) | `[static]`

Search for an indexfactory of the given name.

Parameters:

  name | Name of indexfactory to find.

Returns:
  Gst::IndexFactory if found, `0` otherwise.

static GType Gst::IndexFactory::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::PluginFeature.

GstIndexFactory* Gst::IndexFactory::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::PluginFeature.

const GstIndexFactory* Gst::IndexFactory::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::PluginFeature.

GstIndexFactory* Gst::IndexFactory::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::PluginFeature.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::IndexFactory > wrap | ( | GstIndexFactory * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/indexfactory.h